## Acroread-form-wrap.tar

=== Makefile ===
all:	hide.so dummy.so

hide.so: hide.o
	gcc -m32 -shared -o hide.so hide.o

hide.o: hide.c
	gcc -O2 -fPIC -m32 -c hide.c

dummy.so: dummy.o
	gcc -shared -o dummy.so dummy.o

dummy.o: dummy.c
	gcc -O2 -fPIC -c dummy.c

clean:
	rm -f hide.so hide.o dummy.so dummy.o

install: all
	mkdir -p $(DESTDIR)$(PREFIX)/lib/acroread-form-wrap/lib/x86_64-linux-gnu
	cp -f dummy.so $(DESTDIR)$(PREFIX)/lib/acroread-form-wrap/lib/x86_64-linux-gnu/hide.so
	mkdir -p $(DESTDIR)$(PREFIX)/lib/acroread-form-wrap/lib/i386-linux-gnu
	cp -f hide.so $(DESTDIR)$(PREFIX)/lib/acroread-form-wrap/lib/i386-linux-gnu/
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	cp acroread-form-wrap $(DESTDIR)$(PREFIX)/bin/
	mkdir -p $(DESTDIR)$(PREFIX)/share/applications/
	cp acroread-form-wrapper.desktop $(DESTDIR)$(PREFIX)/share/applications/

=== changelog ===
acroread-form-wrap (1.1) stable; urgency=low

  * Hide PPKLite.api instead of DigSig, so as to be compatible with bookworm

 -- Alain Knaff <alain@knaff.lu>  Sun,  7 Apr 2024 10:10:00 +0200

acroread-form-wrap (1.0) stable; urgency=low

  * Initial version

 -- Alain Knaff <alain@knaff.lu>  Sat, 18 Mar 2023 19:03:16 +0100

=== control ===
Source: acroread-form-wrap
Build-Depends: debhelper (>= 7)
Section: publishing
Priority: optional
Maintainer: Alain Knaff <alain@knaff.lu>

Package: acroread-form-wrap
Architecture: any
Description: a wrapper around acrobat reader to make it ignore its
 DigSig.api plugin. This has been needed to edit forms since the
 expiry of Adobe's certificate at the beginning of January 2023

=== rules ===
#!/usr/bin/make -f
#
# debian.rules file - for acroread-form-wrap

package=acroread-form-wrap

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr
